#!/bin/sh

#(cd src/unknownlamer.org && darcs add *.muse; darcs whatsnew && darcs record --all)

(cd site/unknownlamer.org-repo && darcs pull)

(cd site-support && clisp -i ./books.lisp -x '(dump-muse-books-file)')

if [ "$1" = "--force" ]; then
    emacsclient --eval '(muse-project-publish "unknownlamer.org-clean" t)'
else
    emacsclient --eval '(muse-project-publish "unknownlamer.org-clean")'
fi

# something is broken in my muse setup but just work around it for now
rm -f site/unknownlamer.org/index.html
emacsclient --eval '(muse-project-publish "unknownlamer.org-clean")'

cd site/unknownlamer.org
darcs pull ../unknownlamer.org-repo
find . -name \* -print0 | xargs -0 darcs add
darcs record --all
darcs push /afs/hcoop.net/user/c/cl/clinton/public_html/unknownlamer.org/www/muse